## xfig 3.2.6~rc

=== debian/changelog ===
xfig (1:3.2.6~rc-1) unstable; urgency=medium

  * New upstream version 3.2.6-rc.
  * The following patches are incorporated upstream now: 03_usr_share,
    13_remove_extra_libs, 42_xfig.desktop, 61_png16read,
    62_autorefresh-doc, 63_fontspace, 64_REG_NOERROR, 65_modern_UI,
    66_param_locale_C, 67_linkerparams, 68_I18N_AC_CONFIG_HEADERS,
    69_save8bit, 70_deleteall+undo, 71_scrollbar_indpanel,
    72_del_comments.
  * Update all other patches to current upstream version.
  * Remove workarounds for directory spelling error and useless files from
    debian/rules.
  * --enable-xpm-icon (this was the default in former versions).
  * Build-Depends on desktop-file-utils to make testsuite happy.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 12 Jul 2016 22:26:14 +0200

xfig (1:3.2.6~beta-2) unstable; urgency=medium

  * Add patches by Brian Smith, that were planned for a (never published)
    3.2.5d and adapt them to 3.2.6-beta:
    - 62_autorefresh-doc: Add documentation to autorefresh option.
    - 63_fontspace: Didn't allocate enough space for fonts (would segfault
      when popping up File panels).
    - 64_REG_NOERROR: Should handle systems where REG_NOERROR (regular
      expression) is undefined now.
    - 65_modern_UI: These changes were made because the original view was
      of the drawing on the page instead of the modern view of the
      observer moving left/right/up/down:
      o Left arrow moves observer left (used to scroll canvas left)
      o Right arrow moves observer right
      o Up arrow moves observer up
      o Down arrow moves observer down
      o Ctrl+Wheel up zooms in, Ctrl+Wheel down zooms out (was the other
        way around)
    - 66_param_locale_C: When exporting, wasn't setting locale to "C" for
      all command-line parameters, so floating point numbers would contain
      "," instead of "."
  * Apply patches by Vladislav Zavjalov from altlinux:
    - 67_linkerparams: fix building (move -lXaw3d etc. from LDFLAGS to LDLIBS)
    - 68_I18N_AC_CONFIG_HEADERS: configure.ac: turn on I18N, turn off
      AC_CONFIG_HEADERS.
    - 69_save8bit: add save8bit appres to allow saving 8-bit files.
    - 70_deleteall+undo: restore colors and figure comments after
      delete_all + undo.
    - 71_scrollbar_indpanel: fix scrollbar on indpanel after mode change.
    - 72_del_comments: f_read.c: delete comments when deleting objects.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 03 Jul 2016 00:48:51 +0200

xfig (1:3.2.6~beta-1) unstable; urgency=medium

  * New upstream version 3.2.6-beta (Thanks to Thomas Loimer for taking
    over upstream maintainership and porting xfig to autoconf).
  * The following patches were incorporated upstream: 02_Imakefile_Debian,
    31_spelling, 32_papersize_b1, 33_pdfimport_mediabox, 34_old_shadows,
    38_formatstring, 39_man_hyphen, 40_XAW3D1_5E_notlocal, 41_mkstemp,
    43_startgridmode_man, 44_crash-on-exit,
    45_fix_dash_list_for_different_styles, 46_arrowhead-thickness,
    47_100pCPU_save, 48_intersect_missing_argument, 49_filled_objects,
    50_fset_init, 51_depth_undo_join_split, 52_usercolor_newxfig,
    53_filename_undo, 54_depth_undo_load, 55_indpanel_warnings,
    56_nofont-symbol-dingbat, 57_magnificationlocale,
    58_xspline_origbehavior, 59_edit_arc+ellipse.
  * All other patches were adapted to the new upstream version.
  * Update watch to new SourceForge location.
  * Build-Depend on libxaw7-dev, which was missing in the past.
  * Build-Depend on automake, which is needed for re-creating autoconf
    stuff.
  * Update debian/copyright to refer the new paths of the source files.
  * Change installation stuff to use dh_install where possible.
  * Backup/restore autoconf/automake stuff, which is regenerated during
    build.
  * Switch from transfig to fig2dev in Recommends and package description.
  * Change Homepage to sourceforge.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 02 Jul 2016 13:03:16 +0200

xfig (1:3.2.5.c-9) unstable; urgency=medium

  * Merge all copyright files to one new DEP-5 compliant one.
  * 60_latex-doc: Fix documentation for using FIG in LaTeX (Closes: #452971).
  * 61_png16read: Fix PNG reading with PNG1.6.
  * Remove PDFLATEX.AND.XFIG, since this is contained in LATEX.AND.XFIG
    and in html/latex_and_xfig.html for ages now.
  * Update to Standards-Version 3.9.8 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 08 Apr 2016 12:16:52 +0200

xfig (1:3.2.5.c-8) unstable; urgency=medium

  * Fix format of 20 year old changelog entries.
  * Remove trailing spaces from changelog.
  * Run dh_clean in override_dh_clean.
  * 42_xfig_desktop: append semicolon to Keywords list (Closes: #812477).
  * Add -p to QUILT_DIFF_OPTS.
  * Update to Standards-Version 3.9.7 (no changes).
  * 59_edit_arc+ellipse: Fix editing arc points and ellipse points
    (Closes: #756791, #805368).

 -- Roland Rosenfeld <roland@debian.org>  Sun, 21 Feb 2016 11:08:12 +0100

xfig (3.1.4-1) unstable; urgency=low

   * upgreaded upstream source.
   * changed maintainers
   * changed Imakefile as described in README for libjpeg
   * added libjpeg dependancy to debian.control

 -- joost witteveen <joostje@debian.org>  Fri, 17 May 1996 13:18:44 +0100

xfig (3.1.3-6) unstable; urgency=low

   * ELF release.
   * somewhere early may/late april 1996

 -- Michael Meskes <meskes@debian.org>  Sun, 1 May 1996 00:00:00 +0100

xfig (3.1.3-5) unstable; urgency=low

   * Edited Depends: line again - replaced xbase with X11R6
   * Updated maintainer's e-mail address in debian.control
   * Modified debian.postrm script to only remove the Xfig
     app-defaults file when it is purged.
   * Thinking about possibly moving Xfig app-default link to
     somewhere in /etc/X11 ???  Ideas that can be standardized
     anyone?
   * Added debian.ChangeLog file to archive - was previously
     outside of the archive.

 -- D.J. Gregor <dgregor@gregor.com>  Mon, 30 Oct 1995 21:45:16 -0500

xfig (3.1.3-4) unstable; urgency=low


