=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2016 Roland Rosenfeld <roland@debian.org>, based on
# sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

INSTDIR=`pwd`/debian/xfig
DOCINSTDIR=`pwd`/debian/xfig-doc
LIBINSTDIR=`pwd`/debian/xfig-libs
BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
#	backup autoconf/automake changed files:
	for f in aclocal.m4 configure Makefile.in doc/Makefile.in \
		src/Makefile.in; \
	do if ! test -e $$f.dh-orig; \
	   then cp -f $$f $$f.dh-orig; \
           fi; \
        done

	aclocal
	automake
	dh_auto_configure -- --enable-xpm-icon

override_dh_auto_build:
	dh_auto_build

#       generate xfig_man.html, which is missing upstream:
	man -Thtml -l doc/xfig.man \
	| sed "s/<!-- CreationDate: .* -->/<!-- CreationDate: $(BUILD_DATE) -->/" \
	> doc/xfig_man.html

override_dh_clean:
	dh_clean

#	Restore autoconf/automake changed files:
	for f in aclocal.m4 configure Makefile.in doc/Makefile.in \
		src/Makefile.in; \
	do if test -e $$f.dh-orig; \
	   then mv -f $$f.dh-orig $$f; \
           fi; \
        done

	rm -f doc/xfig_man.html


override_dh_install-indep:
	dh_install --indep

#	remove the just installed ERD/GUI license files, because they are
#	already in debian/copyright included:	
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/ERD/LICENSE
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/GUI/LICENSE


override_dh_install-arch:
	dh_install --arch

# 	install wrapper as xfig:
	install -m755 debian/xfig-wrapper $(INSTDIR)/usr/bin/xfig

#	install japanese app-defaults:
	install -m644 app-defaults/Fig \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.japanese: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.inputStyle: OffTheSpot' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig

	install -m644 app-defaults/Fig \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.korean: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.inputStyle: OverTheSpot' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig

#	Install xpm icons and backward compatibility links
	for i in xfig16x16.xpm xfig32x32.xpm xfig64x64.xpm \
		xfig16x16cmap.xpm  xfig32x32cmap.xpm xfig66x62cmap.xpm; do \
	    install -m644 debian/$$i \
		$(INSTDIR)/usr/share/pixmaps/$$i; \
	done
	(cd $(INSTDIR)/usr/share/pixmaps; \
	 ln -s xfig64x64.xpm big-xfig.xpm; \
	 ln -s xfig32x32.xpm xfig.xpm; \
	 ln -s xfig16x16.xpm mini-xfig.xpm)

# 	Scale and install PNG desktop icons:
	convert doc/html/images/xfig-logo.png -geometry 16x16 \
		$(INSTDIR)/usr/share/icons/hicolor/16x16/apps/xfig.png
	convert doc/html/images/xfig-logo.png -geometry 22x22 \
		$(INSTDIR)/usr/share/icons/hicolor/22x22/apps/xfig.png
	install -m644 xfig.png $(INSTDIR)/usr/share/icons/hicolor/32x32/apps/
	convert doc/html/images/xfig-logo.png -geometry 48x48 \
		$(INSTDIR)/usr/share/icons/hicolor/48x48/apps/xfig.png
	install -m644 doc/html/images/xfig-logo.png \
		$(INSTDIR)/usr/share/icons/hicolor/64x64/apps/xfig.png

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES

override_dh_compress:
	dh_compress -X.pdf
