## xfig 3.2.6

=== debian/changelog ===
xfig (1:3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6.
  * The following patches are incorporated upstream now: 60_latex-doc,
    61_limits.h, 63_mimetype.
  * Adapt all other patches to new upstream version.
  * Keep upstream version and release date (remove 62_debian-version).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 09 Aug 2016 19:55:43 +0200

xfig (1:3.2.6~rc-2) unstable; urgency=medium

  * 61_limits.h: Include limits.h, which is required on hurd.
  * Fix uscan watch file.
  * Build VERSION and RELEASEDATE based on debian/changelog info.
  * 63_mimetype: Consistent MIME type application/x-xfig in desktop file.
    This should fix LP 690067 and LP 1045848.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 19 Jul 2016 08:27:27 +0200
