=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: automake,
-               debhelper (>= 9),
+Build-Depends: debhelper (>= 9),
                desktop-file-utils,
+               dh-autoreconf,
                dpkg (>= 1.7.2),
                groff,
                imagemagick,
