=== debian/rules ===
--- 
+++ 
@@ -15,20 +15,15 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-#	backup autoconf/automake changed files:
-	for f in aclocal.m4 configure Makefile.in doc/Makefile.in \
-		src/Makefile.in; \
-	do if ! test -e $$f.dh-orig; \
-	   then cp -f $$f $$f.dh-orig; \
-           fi; \
-        done
+#	backup version.m4:
+	if ! test -e version.m4.dh-orig; then \
+		cp -f version.m4 version.m4.dh-orig; \
+	fi
 
-	aclocal
-	automake
-	dh_auto_configure -- --enable-xpm-icon
+	dh_auto_configure -- --enable-xpm-splash
 
 override_dh_auto_build:
 	dh_auto_build
@@ -41,16 +36,12 @@
 override_dh_clean:
 	dh_clean
 
-#	Restore autoconf/automake changed files:
-	for f in aclocal.m4 configure Makefile.in doc/Makefile.in \
-		src/Makefile.in; \
-	do if test -e $$f.dh-orig; \
-	   then mv -f $$f.dh-orig $$f; \
-           fi; \
-        done
-
 	rm -f doc/xfig_man.html
 
+#	restore version.m4:
+	if test -e version.m4.dh-orig; then \
+		mv -f version.m4.dh-orig version.m4; \
+	fi
 
 override_dh_install-indep:
 	dh_install --indep
