## xfig 3.2.6a

=== debian/changelog ===
xfig (1:3.2.6a-1) unstable; urgency=medium

  * New upstream version 3.2.6a.
  * Revert GSBIT workaround (fixed upstream now).
  * Adapt splash autoconf option.
  * Fix debian/watch to support letters in version number.
  * Enable tablet input.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 10 Jan 2017 17:41:36 +0100

xfig (1:3.2.6-2) unstable; urgency=medium

  * Update package descriptions.
  * Set GSBIT to enable ghostscript usage (Closes: #848040).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 02 Jan 2017 11:06:10 +0100
