=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2016 Roland Rosenfeld <roland@debian.org>, based on
+# (C) 1999-2017 Roland Rosenfeld <roland@debian.org>, based on
 # sample debian/rules that uses debhelper. 
 # This file is public domain software, originally written by Joey Hess.
 
@@ -23,7 +23,7 @@
 		cp -f version.m4 version.m4.dh-orig; \
 	fi
 
-	dh_auto_configure -- --enable-xpm-splash
+	dh_auto_configure -- --enable-splash --enable-tablet
 
 override_dh_auto_build:
 	dh_auto_build
