## xfig 3.2.7

=== debian/changelog ===
xfig (1:3.2.7-1) unstable; urgency=medium

  * New upstream version 3.2.7.
  * This prevents integer overflow in {floor,ceil,round}_coords_{x,y}()
    (Closes: #300436).
  * The following patches are now incorporated upstream:
    07_colorsliderarrows, 08_every_time, 09_india_disputed,
    10_RELEASE_DATE, 11_declare_swap_colors.
  * Adapt all patches to new upstream version.
  * Adapt testsuite to new upstream testsuite.
  * Add Vcs-* headers pointing to salsa.
  * Upgrade to Standards-Version 4.1.4 (no changes).
  * Fix debian/watch to handle versions without letters.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 14 Apr 2018 19:24:13 +0200

xfig (1:3.2.6a-3) unstable; urgency=medium

  * Tag xfig-libs Multi-Arch: foreign.
  * Upgrade to Standards-Version 4.1.3 (no changes).
  * Upgrade debhelper to v11.
  * 08_every_time.patch: Correct typo in every time (missing whitespace).
  * Run upstream tests in autopkgtest.
  * Change recommends to depends on fig2dev (Closes: #254803, #273208).
  * 09_india_disputed: Change disputed boundaries of India (Closes: #270799).
  * 10_RELEASE_DATE: Fix release date in man page xfig(1).
  * 11_declare_swap_colors: Fix implicit declaration of swap_colors warning.
  * Optimize all patches for gbp pq.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 02 Mar 2018 09:11:51 +0100

xfig (1:3.2.6a-2) unstable; urgency=medium

  * Suggest firefox instead of iceweasel now.
  * Update to Standards-Version 4.1.1
    - Change copyright-format to https.
  * Remove trailing whitespace from debian/rules.
  * Upgrade debhelper from v9 to v10.
  * Remove dh-autoreconf, since this is included in debhelper v10.
  * Remove reproducible build workaround for "man -Thtml".
  * 06_doc_libraries: Replace broken external frame in doc by local one.
  * 07_colorsliderarrows: Fix direction of RGB & HSV color sliders arrows.
    Thanks to Tim Bagot for providing the patch (Closes: #870365).

 -- Roland Rosenfeld <roland@debian.org>  Wed, 01 Nov 2017 12:44:41 +0100
