## xfig 3.2.7a

=== debian/changelog ===
xfig (1:3.2.7a-3) unstable; urgency=medium

  * Add salsa CI pipeline in debian/gitlab-ci.yml.
  * Suggest firefox-esr instead of firefox, which is only available in sid.
  * Upgrade to Standards-Version 4.3.0 (no changes).
  * Upgrade debhelper to v12.
  * Set MAN_DISABLE_SECCOMP=1 for man page conversion.
  * Rename d/(dirs,docs,manpages,mime) to d/xfig.(dirs,docs,manpages,mime).
  * Fix dh_missing errors.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 05 Jan 2019 13:30:14 +0100

xfig (1:3.2.7a-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Roland Rosenfeld ]
  * Upgrade to Standards-Version 4.2.1 (Declare Rules-Requires-Root: no).
  * Depend on sensible-utils, because sensible-browser is used.
  * 07_interpolatedspline: Fix behavior of interpolated splines.  Fixes
    Launchpad bug 1802292.
  * Add lintian-overrides for library READMEs.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 09 Nov 2018 10:03:14 +0100

xfig (1:3.2.7a-1) unstable; urgency=medium

  * New upstream version 3.2.7a.
  * No longer write in wrong directory when saving (Closes: #270113).
  * 06_doc_libraries: reduced to Japanese documentation.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 May 2018 21:50:14 +0200
