=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12~),
                desktop-file-utils,
-               dh-autoreconf,
                dpkg (>= 1.7.2),
                groff,
                imagemagick,
@@ -20,11 +19,17 @@
                xaw3dg-dev (>= 1.5+E-2),
                xutils-dev
 Homepage: https://sourceforge.net/projects/mcj/
+Vcs-Git: https://salsa.debian.org/debian/xfig.git
+Vcs-Browser: https://salsa.debian.org/debian/xfig
+Rules-Requires-Root: no
 
 Package: xfig
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: fig2dev | transfig (>= 1:3.2.5-alpha4-1), xfig-libs
+Depends: fig2dev | transfig (>= 1:3.2.5-alpha4-1),
+         sensible-utils,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: xfig-libs
 Suggests: cups-client | lpr,
           ghostscript,
           gimp,
@@ -52,7 +57,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: iceweasel | www-browser, xfig, xpdf | pdf-viewer
+Suggests: firefox-esr | www-browser, xfig, xpdf | pdf-viewer
 Description: XFig on-line documentation and examples
  XFig is a menu-driven tool that allows the user to draw and
  manipulate objects interactively in an X window.  The resulting
@@ -69,6 +74,7 @@
 Depends: ${misc:Depends}
 Suggests: xfig (>= 1:3.2.5-alpha4-1)
 Breaks: xfig (<< 1:3.2.5-alpha4-1)
+Multi-Arch: foreign
 Description: XFig image libraries and examples
  XFig is a menu-driven tool that allows the user to draw and
  manipulate objects interactively in an X window.  The resulting
