=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,20 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2017 Roland Rosenfeld <roland@debian.org>, based on
-# sample debian/rules that uses debhelper. 
+# (C) 1999-2018 Roland Rosenfeld <roland@debian.org>, based on
+# sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess.
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 INSTDIR=`pwd`/debian/xfig
 DOCINSTDIR=`pwd`/debian/xfig-doc
 LIBINSTDIR=`pwd`/debian/xfig-libs
-BUILD_DATE := $(shell dpkg-parsechangelog | sed -n -e 's/^Date: //p')
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 #	backup version.m4:
@@ -29,9 +28,7 @@
 	dh_auto_build
 
 #       generate xfig_man.html, which is missing upstream:
-	man -Thtml -l doc/xfig.man \
-	| sed "s/<!-- CreationDate: .* -->/<!-- CreationDate: $(BUILD_DATE) -->/" \
-	> doc/xfig_man.html
+	env MAN_DISABLE_SECCOMP=1 man -Thtml -l doc/xfig.man doc/xfig_man.html
 
 override_dh_clean:
 	dh_clean
@@ -47,7 +44,7 @@
 	dh_install --indep
 
 #	remove the just installed ERD/GUI license files, because they are
-#	already in debian/copyright included:	
+#	already in debian/copyright included:
 	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/ERD/LICENSE
 	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/GUI/LICENSE
 
@@ -97,7 +94,6 @@
 		$(INSTDIR)/usr/share/icons/hicolor/16x16/apps/xfig.png
 	convert doc/html/images/xfig-logo.png -geometry 22x22 \
 		$(INSTDIR)/usr/share/icons/hicolor/22x22/apps/xfig.png
-	install -m644 xfig.png $(INSTDIR)/usr/share/icons/hicolor/32x32/apps/
 	convert doc/html/images/xfig-logo.png -geometry 48x48 \
 		$(INSTDIR)/usr/share/icons/hicolor/48x48/apps/xfig.png
 	install -m644 doc/html/images/xfig-logo.png \
