## xfig 3.2.7b

=== debian/changelog ===
xfig (1:3.2.7b-2) unstable; urgency=medium

  * 07_reproducible_splash: build splash.xbm in a reproducible way.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 15 Nov 2019 10:39:22 +0100

xfig (1:3.2.7b-1) unstable; urgency=medium

  * New upstream version 3.2.7b.
  * Update all patches to new version.
  * 07_interpolatedspline is now incorporated upstream.
  * Backup testuite output into artifacts.
  * Add buildlog to gitlab-ci test pipeline.
  * d/gitlab-ci.yml stripped down using pipline-jobs.yml
  * Remove workaround for xfig_man.html generation.
  * Build-Depends on fig2dev to create splash screen etc.
  * Build-depend on debhelper-compat (= 12) instead of using d/compat.
  * Upgrade to Standards-Version 4.4.1 (no changes).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 08 Nov 2019 18:12:51 +0100
