=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12~),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                dpkg (>= 1.7.2),
+               fig2dev,
                groff,
                imagemagick,
                libjpeg-dev,
