=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2018 Roland Rosenfeld <roland@debian.org>, based on
+# (C) 1999-2019 Roland Rosenfeld <roland@debian.org>, based on
 # sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess.
 
@@ -27,9 +27,6 @@
 override_dh_auto_build:
 	dh_auto_build
 
-#       generate xfig_man.html, which is missing upstream:
-	env MAN_DISABLE_SECCOMP=1 man -Thtml -l doc/xfig.man doc/xfig_man.html
-
 override_dh_clean:
 	dh_clean
 
@@ -48,6 +45,15 @@
 	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/ERD/LICENSE
 	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/GUI/LICENSE
 
+#	move Libraries/README to share/doc/xfig-libs:
+	mv $(LIBINSTDIR)/usr/share/xfig/Libraries/README \
+	   $(LIBINSTDIR)/usr/share/doc/xfig-libs/README
+
+#	Remove duplicate installed xfig-title.png:
+	rm -f `pwd`/debian/tmp/usr/share/doc/xfig/xfig-title.png
+
+#	Remove xfig-title.fig.in:
+	rm -f $(DOCINSTDIR)/usr/share/doc/xfig/html/images/xfig-title.fig.in
 
 override_dh_install-arch:
 	dh_install --arch
