=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="uversionmangle=s/-(alpha|beta|rc)/~$1/" \
https://sf.net/mcj/ .*/xfig-([\d.]+(?:[a-z])?(?:-(?:alpha|beta|rc))?)\.tar\.(?:gz|bz2|xz).*
