## xfig 3.2.8

=== debian/changelog ===
xfig (1:3.2.8-3+deb11u1) bullseye; urgency=medium

  * 10_CVE-2021-40241: Avoid buffer overflow in LANG (CVE-2021-40241)
    (Closes: #992395).

 -- Roland Rosenfeld <roland@debian.org>  Mon, 07 Nov 2022 13:10:05 +0100

xfig (1:3.2.8-3) unstable; urgency=medium

  * testsuite: depend on libgs-dev, so the test does no longer randomly
    fail on gs version output with two dots (Closes: #988835).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 20 May 2021 21:14:22 +0200

xfig (1:3.2.8-2) unstable; urgency=medium

  * Remove xutils-dev from Build-Depends, since we now use autoconf.
  * Annotate desktop-file-utils <!nocheck> as it is only used during
    tests.
  * Preserve some files, that are overwritten by dh_autoreconf or deleted
    or changed.
  * Update xfig_ref_en.pdf using htmldoc.
  * 08_fig-format-doc: Do not use <hr> inside <pre> tag.
  * 09_repair-table-doc: Repair <tables> where </tr> is missing.
  * Split arch/indep and add some nodoc support.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 20 May 2021 19:01:44 +0200

xfig (1:3.2.8-1) unstable; urgency=medium

  * New upstream git version.
  * 07_reproducible_splash is now incorporated upstream.
  * No longer convert Japanese documentation to UTF-8, done upstream.
  * Build-Depends on libtiff-dev now.
  * d/t/xfig-testsuite: use dh_autoreconf instead of aclocal/autoconf.
  * Fix installation of xfig-title.*
  * Remove assemble scripts, since they are only used on build.
  * 07_missing-config.h: Include necessary header config.h in figx.h.
  * Remove Build-Depends libxaw7-dev, since we use xaw3dg-dev.
  * Build-Depends libgs-dev.
  * Update xfig-title.png.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 27 Dec 2020 13:02:01 +0100

xfig (1:3.2.7b-4) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * README.Debian: Replace transfig by fig2dev.
  * Remove transfig (as alternative to fig2dev) from debian/control.
  * Add Forwarded headers to several debian/patches.
  * Update to debhelper 13.
  * Update debian/watch to version=4 and optimize regex.
  * Replace xfig-pdf-viewer by xdg-open.
  * README.Debian: update URL of documentation web page.
  * Fix installation of xfig-title.png.
  * Remove unused lintian.overrides lines.
  * Convert Japanese documentation to UTF-8.
  * Move /usr/lib/xfig/xfig to /usr/libexec/xfig.
  * Update to Standards-Version 4.5.1 (no changes).

  [ Pino Toscano ]
  * Stop shipping all the Debian-provided XPM pixmaps in /usr/share/pixmaps,
    not needed anymore.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 30 Nov 2020 16:20:18 +0100

xfig (1:3.2.7b-3) unstable; urgency=medium

  * Add upstream metadata file.
  * Add missing colon in closes line.
  * Fix day-of-week for changelog entries 3.1.3-6.
  * Remove output silence from xfig-testsuite and run aclocal otherwise
    autotest fails with debhelper 13 (Closes: #958352).
  * Upgrade to Standards-Version 4.5.0 (no changes).
  * Rename gitlab-ci.yml to salsa-ci.yml.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 21 Apr 2020 19:52:26 +0200
