=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Section: graphics
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12),
-               desktop-file-utils,
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
+               desktop-file-utils <!nocheck>,
                dpkg (>= 1.7.2),
                fig2dev,
-               groff,
-               imagemagick,
+               libgs-dev,
                libjpeg-dev,
                libpng-dev,
+               libtiff-dev,
                libx11-dev,
-               libxaw7-dev,
                libxi-dev,
                libxpm-dev,
                libxt-dev,
-               man-db,
-               xaw3dg-dev (>= 1.5+E-2),
-               xutils-dev
+               xaw3dg-dev (>= 1.5+E-2)
+Build-Depends-Arch: imagemagick
+Build-Depends-Indep: groff <!nodoc>,
+                     htmldoc <!nodoc>,
+                     man-db <!nodoc>
 Homepage: https://sourceforge.net/projects/mcj/
 Vcs-Git: https://salsa.debian.org/debian/xfig.git
 Vcs-Browser: https://salsa.debian.org/debian/xfig
@@ -26,8 +27,9 @@
 
 Package: xfig
 Architecture: any
-Depends: fig2dev | transfig (>= 1:3.2.5-alpha4-1),
+Depends: fig2dev,
          sensible-utils,
+         xdg-utils,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: xfig-libs
@@ -38,7 +40,7 @@
           netpbm,
           spell,
           xfig-doc (>= 1:3.2.5-alpha4-1)
-Breaks: transfig (<< 1:3.2.5-alpha4-1), xfig-doc (<< 1:3.2.5-alpha4-1)
+Breaks: xfig-doc (<< 1:3.2.5-alpha4-1)
 Description: Facility for Interactive Generation of figures under X11
  XFig is a menu-driven tool that allows the user to draw and
  manipulate objects interactively in an X window.  The resulting
@@ -58,7 +60,9 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: firefox-esr | www-browser, xfig, xpdf | pdf-viewer
+Suggests: firefox-esr | www-browser,
+          xfig,
+          xpdf | pdf-viewer
 Description: XFig on-line documentation and examples
  XFig is a menu-driven tool that allows the user to draw and
  manipulate objects interactively in an X window.  The resulting
