=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2019 Roland Rosenfeld <roland@debian.org>, based on
+# (C) 1999-2021 Roland Rosenfeld <roland@debian.org>, based on
 # sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+#export DH_OPTIONS=-v
 
 INSTDIR=`pwd`/debian/xfig
 DOCINSTDIR=`pwd`/debian/xfig-doc
@@ -16,15 +17,40 @@
 %:
 	dh $@
 
+override_dh_autoreconf:
+#       preserve files overwritten by dh_autoreconf:
+	tar cf debian/autoreconf.tar Makefile.in aclocal.m4 ar-lib compile \
+		configure depcomp doc/Makefile.in install-sh missing \
+		src/Makefile.in tests/Makefile.in
+	dh_autoreconf
+
 override_dh_auto_configure:
-#	backup version.m4:
-	if ! test -e version.m4.dh-orig; then \
-		cp -f version.m4 version.m4.dh-orig; \
-	fi
+#	preserve some files from upstream tarball:
+	tar cf debian/preserve.tar app-defaults/Fig \
+		doc/html/images/xfig-title.fig doc/html/images/xfig-title.png \
+		splash-image/spl_bckgnd.fig src/splash.xpm src/splash.xbm \
+		src/version.xbm version.m4 doc/xfig_ref_en.pdf
 
 	dh_auto_configure -- --enable-splash --enable-tablet
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
+	dh_auto_build
+
+override_dh_auto_build-indep:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+#	regenerate xfig-title.png:
+	rm -f doc/html/images/xfig-title.png
+	make -C doc html/images/xfig-title.png
+
+#	regenerate xfig_man.html.in:
+	rm -f doc/xfig_man.html.in
+
+#	create new pdf documentation:
+	(cd doc/html; \
+	htmldoc -f ../xfig_ref_en.pdf --no-title --webpage --header ... \
+	contents.html $(shell grep '<a href=' doc/html/contents.html \
+	  	| sed 's/.*a href="//;s/["#].*//;' | uniq | grep -v japanese))
+endif
 	dh_auto_build
 
 override_dh_clean:
@@ -32,10 +58,13 @@
 
 	rm -f doc/xfig_man.html
 
-#	restore version.m4:
-	if test -e version.m4.dh-orig; then \
-		mv -f version.m4.dh-orig version.m4; \
-	fi
+#       restore files overwritten by dh_autoreconf:
+	[ ! -f debian/autoreconf.tar ] || tar xf debian/autoreconf.tar
+	rm -f debian/autoreconf.tar
+
+#	restore files from upstream tarball:
+	[ ! -f debian/preserve.tar ] || tar xf debian/preserve.tar
+	rm -f debian/preserve.tar
 
 override_dh_install-indep:
 	dh_install --indep
@@ -49,11 +78,9 @@
 	mv $(LIBINSTDIR)/usr/share/xfig/Libraries/README \
 	   $(LIBINSTDIR)/usr/share/doc/xfig-libs/README
 
-#	Remove duplicate installed xfig-title.png:
-	rm -f `pwd`/debian/tmp/usr/share/doc/xfig/xfig-title.png
-
-#	Remove xfig-title.fig.in:
-	rm -f $(DOCINSTDIR)/usr/share/doc/xfig/html/images/xfig-title.fig.in
+#	remove assemble scripts, since they are only used on build:
+	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/Canada/assemble
+	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/USA/assemble
 
 override_dh_install-arch:
 	dh_install --arch
@@ -84,17 +111,6 @@
 	echo 'Fig.inputStyle: OverTheSpot' >> \
 		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
 
-#	Install xpm icons and backward compatibility links
-	for i in xfig16x16.xpm xfig32x32.xpm xfig64x64.xpm \
-		xfig16x16cmap.xpm  xfig32x32cmap.xpm xfig66x62cmap.xpm; do \
-	    install -m644 debian/$$i \
-		$(INSTDIR)/usr/share/pixmaps/$$i; \
-	done
-	(cd $(INSTDIR)/usr/share/pixmaps; \
-	 ln -s xfig64x64.xpm big-xfig.xpm; \
-	 ln -s xfig32x32.xpm xfig.xpm; \
-	 ln -s xfig16x16.xpm mini-xfig.xpm)
-
 # 	Scale and install PNG desktop icons:
 	convert doc/html/images/xfig-logo.png -geometry 16x16 \
 		$(INSTDIR)/usr/share/icons/hicolor/16x16/apps/xfig.png
