=== debian/tests/control ===
Tests: xfig-testsuite
Restrictions: rw-build-tree
Depends: autoconf,
         debhelper,
         desktop-file-utils,
         libgs-dev,
         libpng-dev,
         libx11-dev,
         libxt-dev,
         xaw3dg-dev,
         xfig
