## xfig 3.2.8b

=== debian/changelog ===
xfig (1:3.2.8b-2) unstable; urgency=medium

  [ Roland Rosenfeld ]
  * Enable diffoscope in salsa-ci.
  * Update to Standards-Version 4.6.1 (no changes).
  * Set timezone sticky in htmldoc call to build doc reproducible.
  * Build xfig_ref_en.pdf using upstream build mechanism.
  * Suggests fonts-urw-base35 >= 20200910-4 as gsfonts-x11 alternative.
  * Add brackets to lintian-overrides files (syntax changed).
  * 07_max_recent_files: Fix a heap-use-after-free.
  * 08_scale_by_placement: Fix "Scale by %" placement.
  * 09_pdf_read: Read pdf without crash.
  * 10_large-userscale: Avoid SIGFPE with large -userscale.
  * 11_cancel-zoom: Correct cancel zooming using a zoom area.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg and xaw3dg-dev.
    + xfig: Drop versioned constraint on gsfonts-x11 and xfig-doc in Suggests.
    + xfig: Drop versioned constraint on xfig-doc in Breaks.
    + xfig-libs: Drop versioned constraint on xfig in Suggests.
    + xfig-libs: Drop versioned constraint on xfig in Breaks.

 -- Roland Rosenfeld <roland@debian.org>  Mon, 19 Sep 2022 20:07:35 +0200

xfig (1:3.2.8b-1) unstable; urgency=medium

  * New upstream release 3.2.8b.
  * 07_LANG_overflow is no incorporated upstream.
  * Build test binaries despite of "nocheck" (Closes: #992700).

 -- Roland Rosenfeld <roland@debian.org>  Tue, 24 Aug 2021 16:53:21 +0200

xfig (1:3.2.8a-1) unstable; urgency=medium

  * New upstream release 3.2.8a.
  * 07_missing-config.h, 08_fig-format-doc, 09_repair-table-doc are now
    incorporated upstream.
  * Adapt file preservation to new upstream version.
  * Update debian/copyright.
  * Move xfig binary to /usr/libexec/xfig/xfig.
  * Package test binaries and use them in autopkgtest.
  * Update to Standards-Version 4.6.0 (no changes).
  * 07_LANG_overflow: Avoid buffer overflow in LANG (Closes: #992395).

 -- Roland Rosenfeld <roland@debian.org>  Fri, 20 Aug 2021 13:26:32 +0200
