=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: graphics
 Priority: optional
 Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
-               dpkg (>= 1.7.2),
                fig2dev,
                libgs-dev,
                libjpeg-dev,
@@ -15,7 +14,7 @@
                libxi-dev,
                libxpm-dev,
                libxt-dev,
-               xaw3dg-dev (>= 1.5+E-2)
+               xaw3dg-dev
 Build-Depends-Arch: imagemagick
 Build-Depends-Indep: groff <!nodoc>,
                      htmldoc <!nodoc>,
@@ -36,11 +35,10 @@
 Suggests: cups-client | lpr,
           ghostscript,
           gimp,
-          gsfonts-x11 (>= 0.7),
+          fonts-urw-base35 (>= 20200910-4) | gsfonts-x11,
           netpbm,
           spell,
-          xfig-doc (>= 1:3.2.5-alpha4-1)
-Breaks: xfig-doc (<< 1:3.2.5-alpha4-1)
+          xfig-doc
 Description: Facility for Interactive Generation of figures under X11
  XFig is a menu-driven tool that allows the user to draw and
  manipulate objects interactively in an X window.  The resulting
@@ -77,8 +75,7 @@
 Package: xfig-libs
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: xfig (>= 1:3.2.5-alpha4-1)
-Breaks: xfig (<< 1:3.2.5-alpha4-1)
+Suggests: xfig
 Multi-Arch: foreign
 Description: XFig image libraries and examples
  XFig is a menu-driven tool that allows the user to draw and
