=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# (C) 1999-2021 Roland Rosenfeld <roland@debian.org>, based on
+# (C) 1999-2022 Roland Rosenfeld <roland@debian.org>, based on
 # sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess.
 
@@ -21,20 +21,22 @@
 #       preserve files overwritten by dh_autoreconf:
 	tar cf debian/autoreconf.tar Makefile.in aclocal.m4 ar-lib compile \
 		configure depcomp doc/Makefile.in install-sh missing \
-		src/Makefile.in tests/Makefile.in
+		src/Makefile.in tests/Makefile.in config.h.in
 	dh_autoreconf
 
 override_dh_auto_configure:
 #	preserve some files from upstream tarball:
-	tar cf debian/preserve.tar app-defaults/Fig \
+	tar cf debian/preserve.tar doc/xfig_man.html.in \
 		doc/html/images/xfig-title.fig doc/html/images/xfig-title.png \
-		splash-image/spl_bckgnd.fig src/splash.xpm src/splash.xbm \
+		src/splash.xpm src/splash.xbm \
 		src/version.xbm version.m4 doc/xfig_ref_en.pdf
 
 	dh_auto_configure -- --enable-splash --enable-tablet
 
 override_dh_auto_build-arch:
 	dh_auto_build
+#	Build test programs, despite of "nocheck":
+	(cd tests; make test1 test2 test3 test4)
 
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -45,11 +47,9 @@
 #	regenerate xfig_man.html.in:
 	rm -f doc/xfig_man.html.in
 
-#	create new pdf documentation:
-	(cd doc/html; \
-	htmldoc -f ../xfig_ref_en.pdf --no-title --webpage --header ... \
-	contents.html $(shell grep '<a href=' doc/html/contents.html \
-	  	| sed 's/.*a href="//;s/["#].*//;' | uniq | grep -v japanese))
+#	regenerate xfig_ref_en.pdf:
+	rm -f doc/xfig_ref_en.pdf
+	env TZ=UTC make -C doc xfig_ref_en.pdf
 endif
 	dh_auto_build
 
@@ -121,6 +121,12 @@
 	install -m644 doc/html/images/xfig-logo.png \
 		$(INSTDIR)/usr/share/icons/hicolor/64x64/apps/xfig.png
 
+#	Install autotest binaries to /usr/libexec/xfig:
+	install -m755 tests/test1 $(INSTDIR)/usr/libexec/xfig/
+	install -m755 tests/test2 $(INSTDIR)/usr/libexec/xfig/
+	install -m755 tests/test3 $(INSTDIR)/usr/libexec/xfig/
+	install -m755 tests/test4 $(INSTDIR)/usr/libexec/xfig/
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES
